Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.faces.component.html
Enum HtmlOutputLink.PropertyKeys

    java.lang.Object
      java.lang.Enum<HtmlOutputLink.PropertyKeys>
          javax.faces.component.html.HtmlOutputLink.PropertyKeys

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<HtmlOutputLink.PropertyKeys>

Enclosing class:
  HtmlOutputLink

    protected static enum HtmlOutputLink.PropertyKeys

extends java.lang.Enum<HtmlOutputLink.PropertyKeys>

Enum Constant Summary
`accesskey`
`charset`
`coords`
`dir`
`disabled`
`fragment`
`hreflang`
`lang`
`onblur`
`onclick`
`ondblclick`
`onfocus`
`onkeydown`
`onkeypress`
`onkeyup`
`onmousedown`
`onmousemove`
`onmouseout`
`onmouseover`
`onmouseup`
`rel`
`rev`
`shape`
`style`
`styleClass`
`tabindex`
`target`
`title`
`type`

Method Summary
`java.lang.String` | `toString()`
`static HtmlOutputLink.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HtmlOutputLink.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### accesskey

    public static final HtmlOutputLink.PropertyKeys accesskey

### charset

    public static final HtmlOutputLink.PropertyKeys charset

### coords

    public static final HtmlOutputLink.PropertyKeys coords

### dir

    public static final HtmlOutputLink.PropertyKeys dir

### disabled

    public static final HtmlOutputLink.PropertyKeys disabled

### fragment

    public static final HtmlOutputLink.PropertyKeys fragment

### hreflang

    public static final HtmlOutputLink.PropertyKeys hreflang

### lang

    public static final HtmlOutputLink.PropertyKeys lang

### onblur

    public static final HtmlOutputLink.PropertyKeys onblur

### onclick

    public static final HtmlOutputLink.PropertyKeys onclick

### ondblclick

    public static final HtmlOutputLink.PropertyKeys ondblclick

### onfocus

    public static final HtmlOutputLink.PropertyKeys onfocus

### onkeydown

    public static final HtmlOutputLink.PropertyKeys onkeydown

### onkeypress

    public static final HtmlOutputLink.PropertyKeys onkeypress

### onkeyup

    public static final HtmlOutputLink.PropertyKeys onkeyup

### onmousedown

    public static final HtmlOutputLink.PropertyKeys onmousedown

### onmousemove

    public static final HtmlOutputLink.PropertyKeys onmousemove

### onmouseout

    public static final HtmlOutputLink.PropertyKeys onmouseout

### onmouseover

    public static final HtmlOutputLink.PropertyKeys onmouseover

### onmouseup

    public static final HtmlOutputLink.PropertyKeys onmouseup

### rel

    public static final HtmlOutputLink.PropertyKeys rel

### rev

    public static final HtmlOutputLink.PropertyKeys rev

### shape

    public static final HtmlOutputLink.PropertyKeys shape

### style

    public static final HtmlOutputLink.PropertyKeys style

### styleClass

    public static final HtmlOutputLink.PropertyKeys styleClass

### tabindex

    public static final HtmlOutputLink.PropertyKeys tabindex

### target

    public static final HtmlOutputLink.PropertyKeys target

### title

    public static final HtmlOutputLink.PropertyKeys title

### type

    public static final HtmlOutputLink.PropertyKeys type

Method Detail

### values

    public static HtmlOutputLink.PropertyKeys[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HtmlOutputLink.PropertyKeys c : HtmlOutputLink.PropertyKeys.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HtmlOutputLink.PropertyKeys valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<HtmlOutputLink.PropertyKeys>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.